package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.toolbox;

import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.views.EditableGTSCanvas;
import be.iminds.ilabt.jfed.experimenter_gui.util.ImageUtil;
import javafx.geometry.Point2D;
import javafx.scene.image.Image;

/**
 * User: twalcari
 * Date: 5/21/2015
 * Time: 15:39
 */
public class GTSPortToolboxItem extends GTSToolboxItem {
    private static final String PORT_PREFIX = "p";
    public GTSPortToolboxItem() {
        super("port","External Port",
                new Image(ImageUtil.class.getResource("/images/gts_types/64/gts-port.png").toExternalForm()),
                new Image(ImageUtil.class.getResource("/images/gts_types/32/gts-port.png").toExternalForm())
        );
    }


    @Override
    public void onAddedToCanvas(EditableGTSCanvas canvas, Point2D location) {
        canvas.getModelEditor().addPort(location);
    }

    @Override
    public int getWeight() {
        return 4;
    }
}
